Subject: bug#70764: 29.1; M-x gdb: don't ask me about debuginfod server if debuginfod is not in context

From: Rolf Ade <[email-masked]>
Date: Sat, 4 May 2024 17:54:10 +0200

Am 04.05.24 um 16:23 schrieb Eli Zaretskii:
>> Cc: [email-masked]
>> Date: Sat, 04 May 2024 17:11:52 +0300
>> From: Eli Zaretskii <[email-masked]>
>>
>>> Date: Sat, 4 May 2024 15:32:27 +0200
>>> From: Rolf Ade <[email-masked]>
>>>
>>> I don't know if my gdb support debug info downloading (see exact version info
>>> below) but if I answer the question with "n" - I don't want to enable this - I
>>> wonder why I'm (only mildly, of course) bothered with a not very helpful error
>>> message.
>>
>> I don't know.  AFAIR, it was not supposed to happen in Emacs 29.1 and
>> later.
> 
> FWIW, I just tried "M-x gdb" in Emacs 29.1, and didn't see any "No
> symbol" messages after answering "n" to the debuginfod question.

As reported in the original bug report I tried this also with current trunk (and 
-Q) and the same gdb (10.1) and saw the same message: "No symbol \"debuginfod\" 
in current context."

> My GDB on that system is version 12.1, though, and it was compiled
> with debuginfod support.  So maybe that's the reason.

The still officially supported debian 11 (Bullseye) comes with gdb 10.1 I use, see:

https://packages.debian.org/bullseye/gdb